org.wildfly.swarm.config.mail.mail_session

## Class Custom<T extends Custom<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.mail.mail_session.Custom<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Custom<T extends Custom<T>>
      extends HashMap

  Mail session server
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Custom(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `outboundSocketBindingRef()` Outbound Socket binding to mail server
    `T` | `outboundSocketBindingRef(String value)` Outbound Socket binding to mail server
    `String` | `password()` Password to authenticate on server
    `T` | `password(String value)` Password to authenticate on server
    `Map` | `properties()` JavaMail properties
    `T` | `properties(Map value)` JavaMail properties
    `T` | `property(String key, Object value)` JavaMail properties
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `ssl()` Does server require SSL?
    `T` | `ssl(Boolean value)` Does server require SSL?
    `Boolean` | `tls()` Does server require TLS?
    `T` | `tls(Boolean value)` Does server require TLS?
    `String` | `username()` Username to authenticate on server
    `T` | `username(String value)` Username to authenticate on server

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Custom

          public Custom(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### outboundSocketBindingRef

          public String outboundSocketBindingRef()

      Outbound Socket binding to mail server

    - #### outboundSocketBindingRef

          public T outboundSocketBindingRef(String value)

      Outbound Socket binding to mail server

    - #### password

          public String password()

      Password to authenticate on server

    - #### password

          public T password(String value)

      Password to authenticate on server

    - #### properties

          public Map properties()

      JavaMail properties

    - #### properties

          public T properties(Map value)

      JavaMail properties

    - #### property

          public T property(String key,
                            Object value)

      JavaMail properties

    - #### ssl

          public Boolean ssl()

      Does server require SSL?

    - #### ssl

          public T ssl(Boolean value)

      Does server require SSL?

    - #### tls

          public Boolean tls()

      Does server require TLS?

    - #### tls

          public T tls(Boolean value)

      Does server require TLS?

    - #### username

          public String username()

      Username to authenticate on server

    - #### username

          public T username(String value)

      Username to authenticate on server

Copyright © 2018 JBoss by Red Hat. All rights reserved.